apiVersion: apps/v1
kind: Deployment
metadata:
  annotations:
    kompose.cmd: kompose convert -v -f docker-compose.k8s.yml -o kubernetes/
    kompose.version: 1.31.0 (HEAD)
  creationTimestamp: null
  labels:
    io.kompose.service: nginx
  name: nginx
  namespace: micorr-prod
spec:
  replicas: 2
  selector:
    matchLabels:
      io.kompose.service: nginx
      namespace: micorr-prod
  strategy:
    type: Recreate
  template:
    metadata:
      annotations:
        kompose.cmd: kompose convert -v -f docker-compose.k8s.yml -o kubernetes/
        kompose.version: 1.31.0 (HEAD)
      creationTimestamp: null
      labels:
        io.kompose.network/micorr-default: "true"
        io.kompose.service: nginx
        namespace: micorr-prod
    spec:
      containers:
        - env:
            - name: MY_DOMAIN_NAME
              value: www.micorr.org
          image: registry.gitlab.com/heg-arc/micorr/micorr/nginx:latest
          name: nginx
          resources: {}
          volumeMounts:
            - mountPath: /etc/nginx/certs
              name: nginx-data
              subPath: nginx-certs
            - mountPath: /media
              name: nginx-data
              subPath: django-media
            - mountPath: /usr/share/nginx/html
              name: nginx-data
              subPath: nginx-root

      restartPolicy: Always
      volumes:
        - name: nginx-data
          hostPath:
            type: Directory
            path: /gluster/gv0/micorr-prod
status: {}
